%define upstream_name    XML-LibXML
%define upstream_version 2.0210

%{?perl_default_filter}
# Useless requires on perl >= 5.008 that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::More|5.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl Bindings for libxml2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/XML-LibXML/
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
# To reduce dependencies replace Alien::Libxml2 with pkg-config
Patch:      XML-LibXML-2.0208-Use-pkgconfig-instead-of-Alien-Libxml2.patch
Patch:      0001-Fix-test-suite-with-libxml2-2.13.0.patch
Patch:      0002-Fix-test-suite-with-libxml2-2.14.0.patch

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Encode)
BuildRequires: perl(Errno)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(XML::NamespaceSupport) >= 1.70.0
BuildRequires: perl(XML::SAX) >= 0.110.0
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::SAX::DocumentLocator)
BuildRequires: perl(XML::SAX::Exception)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(locale)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: pkgconfig(libxml-2.0) >= 2.9.10
BuildRequires: perl-devel
Obsoletes:  perl-XML-LibXML-XPathContext < 2.0
Obsoletes:  perl-XML-LibXML-Common < 2.0
Requires:   libxml2 >= 2.9.10
Requires(post):     perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-SAX >= 0.11

%{?perl_default_filter}

%description
This module implements much of the DOM Level 2 API as an
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%optflags" SKIP_SAX_INSTALL=1
%make_build

%check
LC_ALL=C %{__make} test

%install
%make_install

%preun -p %{_bindir}/perl
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{_bindir}/perl
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO example
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*


%changelog
* Sun Mar 16 2025 wally <wally> 2.21.0-10.mga10
+ Revision: 2164701
- rebuild for libxml2 2.13.6
- add patches to fix tests with libxml2 >= 2.13.0

* Mon Feb 24 2025 ns80 <ns80> 2.21.0-9.mga10
+ Revision: 2151806
- rebuild for new libxml2 2.12.10

* Fri Aug 23 2024 neoclust <neoclust> 2.21.0-8.mga10
+ Revision: 2089527
- Rebuild on the Real BS
- Rebuild against new perl

* Thu Aug 08 2024 daviddavid <daviddavid> 2.21.0-6.mga10
+ Revision: 2084139
- rebuild for new libxml2 2.12.9

* Thu May 30 2024 ns80 <ns80> 2.21.0-5.mga10
+ Revision: 2068729
- rebuild for new libxml2 2.12.7

* Tue Apr 09 2024 wally <wally> 2.21.0-4.mga10
+ Revision: 2056118
- basesystem rebuild for i686

* Sun Mar 17 2024 daviddavid <daviddavid> 2.21.0-3.mga10
+ Revision: 2050209
- rebuild for new libxml2 2.12.6

* Sat Feb 03 2024 daviddavid <daviddavid> 2.21.0-2.mga10
+ Revision: 2036926
- rebuild for new libxml2 2.12.4

* Sat Jan 27 2024 tv <tv> 2.21.0-1.mga10
+ Revision: 2035414
- update to 2.0210

* Wed Dec 13 2023 daviddavid <daviddavid> 2.20.900-6.mga10
+ Revision: 2017913
- rebuild for new libxml2 2.12.3

* Thu Dec 07 2023 daviddavid <daviddavid> 2.20.900-5.mga10
+ Revision: 2014263
- rebuild for new libxml2 2.12.2

* Mon Dec 04 2023 tv <tv> 2.20.900-4.mga10
+ Revision: 2013038
- Replace using of Alien::Libxml2 with pkg-config to reduce dependencies
- Fix building with libxml-2.12.0 (bug rhbz#2251181)
- Rebuild for missing signatures

* Sun Nov 26 2023 tv <tv> 2.20.900-3.mga10
+ Revision: 2009934
- Rebuild with BS after semi-manual rebuild for perl-5.38

* Wed Oct 18 2023 daviddavid <daviddavid> 2.20.900-2.mga10
+ Revision: 1998485
- rebuild for libxml2 2.11.5

* Tue Aug 29 2023 tv <tv> 2.20.900-1.mga10
+ Revision: 1981036
- update to 2.0209

* Wed Nov 02 2022 ns80 <ns80> 2.20.800-3.mga9
+ Revision: 1901635
- rebuild for libxml 2.10.3

* Sun Oct 09 2022 neoclust <neoclust> 2.20.800-2.mga9
+ Revision: 1895907
- Rebuild against new libxml2

* Mon Oct 03 2022 tv <tv> 2.20.800-1.mga9
+ Revision: 1894262
- update to 2.0208
+ pterjan <pterjan>
- Initial rebuild for perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 2.20.700-4.mga9
+ Revision: 1798748
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 2.20.700-3.mga9
+ Revision: 1726225
- rebuild post bootstrap
- rebuild for perl-5.34.0

* Mon Apr 19 2021 tv <tv> 2.20.700-1.mga9
+ Revision: 1716838
- update to 2.0207

* Wed Sep 16 2020 tv <tv> 2.20.600-1.mga8
+ Revision: 1626831
- update to 2.0206

* Wed Jun 17 2020 pterjan <pterjan> 2.20.500-3.mga8
+ Revision: 1594131
- Clean rebuild
- Rebuild for new perl

* Sat May 09 2020 tv <tv> 2.20.500-1.mga8
+ Revision: 1581889
- update to 2.0205

* Wed Mar 18 2020 tv <tv> 2.20.400-1.mga8
+ Revision: 1557623
- update to 2.0204

* Thu Mar 12 2020 tv <tv> 2.20.300-1.mga8
+ Revision: 1555687
- update to 2.0203

* Wed Feb 19 2020 umeabot <umeabot> 2.20.200-2.mga8
+ Revision: 1543078
- Mageia 8 Mass Rebuild

* Tue Jan 14 2020 shlomif <shlomif> 2.20.200-1.mga8
+ Revision: 1477902
- New version 2.20.200

* Mon Dec 09 2019 shlomif <shlomif> 2.20.100-5.mga8
+ Revision: 1465524
- Add BRs

* Mon Dec 09 2019 shlomif <shlomif> 2.20.100-4.mga8
+ Revision: 1465371
- Rebuild for new libxml2

* Tue Aug 27 2019 tmb <tmb> 2.20.100-3.mga8
+ Revision: 1434534
- rebuild for missing signature
- rebuild for perl-5.30.0-4.mga8

* Sat Jun 29 2019 tv <tv> 2.20.100-1.mga8
+ Revision: 1415971
- update to 2.0201

* Sat Mar 23 2019 shlomif <shlomif> 2.20.0-1.mga7
+ Revision: 1379798
- update to 2.0200

* Tue Feb 12 2019 shlomif <shlomif> 2.13.400-1.mga7
+ Revision: 1365917
- update to 2.0134

* Sat Feb 02 2019 shlomif <shlomif> 2.13.300-1.mga7
+ Revision: 1362448
- New version 2.0133

* Fri Jan 04 2019 shlomif <shlomif> 2.13.200-7.mga7
+ Revision: 1349135
- Rebuild for the new libxml2 2.9.9

* Fri Sep 21 2018 umeabot <umeabot> 2.13.200-6.mga7
+ Revision: 1294059
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 2.13.200-5.mga7
+ Revision: 1247852
- rebuild for missing signatures
+ pterjan <pterjan>
- Manual rebuild for new perl

* Sun Apr 22 2018 shlomif <shlomif> 2.13.200-3.mga7
+ Revision: 1221243
- Rebuild for the new libxml2

* Fri Nov 03 2017 shlomif <shlomif> 2.13.200-2.mga7
+ Revision: 1175679
- Rebuild for new libxml2

* Sun Oct 29 2017 tv <tv> 2.13.200-1.mga7
+ Revision: 1174559
- update to 2.0132
- update to 2.0131

* Sat Oct 28 2017 tv <tv> 2.13.100-1.mga7
+ Revision: 1174394
- new release

* Sat Oct 21 2017 shlomif <shlomif> 2.13.0-2.mga7
+ Revision: 1172970
- Remove no longer necessary rm

* Wed Oct 18 2017 tv <tv> 2.13.0-1.mga7
+ Revision: 1172650
- update to 2.0130

* Fri Oct 06 2017 shlomif <shlomif> 2.12.900-7.mga7
+ Revision: 1169482
- rebuild for new libxml2

* Tue Oct 03 2017 tv <tv> 2.12.900-6.mga7
+ Revision: 1167458
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 2.12.900-5.mga7
+ Revision: 1155458
- rebuild with perl w/o 64int suffix

* Wed Aug 30 2017 pterjan <pterjan> 2.12.900-4.mga7
+ Revision: 1148530
- Rebuild for perl ABI changes

* Wed Jul 26 2017 neoclust <neoclust> 2.12.900-3.mga7
+ Revision: 1131244
- Rebuild with sec patch
- Fix CVE-2017-10672 (use-after-free by controlling the arguments to
  a replaceChild call) (mga#21332)

* Fri Jul 21 2017 shlomif <shlomif> 2.12.900-2.mga7
+ Revision: 1126270
- rebuild for new perl 5.26.0

* Sat Mar 18 2017 shlomif <shlomif> 2.12.900-1.mga6
+ Revision: 1093477
- New upstream version with an optimisation.

* Tue Aug 02 2016 tv <tv> 2.12.800-2.mga6
+ Revision: 1044237
- rebuild for new libxml2

* Sat Jul 30 2016 shlomif <shlomif> 2.12.800-1.mga6
+ Revision: 1043989
- New version for fixing tests in itself and dependent modules.

* Mon Jun 06 2016 tv <tv> 2.12.400-3.mga6
+ Revision: 1020402
- unbloat default install: prevent pulling full perl...

* Mon Jun 06 2016 tv <tv> 2.12.400-2.mga6
+ Revision: 1020378
- unbloat default install: Test::More is only needed at buildtime

* Sun Mar 13 2016 shlomif <shlomif> 2.12.400-1.mga6
+ Revision: 989880
- update to 2.0124

* Sat Jan 16 2016 shlomif <shlomif> 2.12.300-1.mga6
+ Revision: 924087
- update to 2.0123

* Mon Jan 04 2016 tv <tv> 2.12.200-2.mga6
+ Revision: 919423
- rebuild for latest libxml (fixing other packages' testsuite)

* Sun Sep 06 2015 sander85 <sander85> 2.12.200-1.mga6
+ Revision: 873697
- update to 2.0122

* Fri Jun 26 2015 tv <tv> 2.12.100-4.mga6
+ Revision: 845555
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tmb <tmb> 2.12.100-3.mga6
+ Revision: 840402
- rebuild with buildsystem
- rebuild with perl-5.22

* Tue May 05 2015 shlomif <shlomif> 2.12.100-1.mga5
+ Revision: 821260
- New version - fix MGA#15803 CVE-2015-3451.

* Wed Oct 15 2014 umeabot <umeabot> 2.11.600-7.mga5
+ Revision: 742061
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.11.600-6.mga5
+ Revision: 732633
- add exclude

* Fri Sep 26 2014 tv <tv> 2.11.600-5.mga5
+ Revision: 725158
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.11.600-4.mga5
+ Revision: 686934
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 pterjan <pterjan> 2.11.600-3.mga5
+ Revision: 630703
- Rebuild cleanly
- Rebuild for new Perl

* Tue Apr 15 2014 jquelin <jquelin> 2.11.600-1.mga5
+ Revision: 615072
- update to 2.0116

* Tue Mar 25 2014 jquelin <jquelin> 2.11.300-1.mga5
+ Revision: 608467
- update to 2.0113

* Fri Mar 14 2014 jquelin <jquelin> 2.11.200-1.mga5
+ Revision: 603752
- update to 2.0112

* Thu Mar 13 2014 jquelin <jquelin> 2.11.100-1.mga5
+ Revision: 603058
- update to 2.0111

* Mon Feb 10 2014 jquelin <jquelin> 2.11.0-1.mga5
+ Revision: 588846
- update to 2.0110

* Sat Oct 19 2013 umeabot <umeabot> 2.10.0-2.mga4
+ Revision: 531972
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 sander85 <sander85> 2.10.0-1.mga4
+ Revision: 466406
- update to 2.0100

* Wed May 29 2013 shlomif <shlomif> 2.1.800-1.mga4
+ Revision: 431603
- New version 2.0018

* Wed May 29 2013 jquelin <jquelin> 2.1.400-4.mga4
+ Revision: 431013
- perl 5.18.0 rebuild

* Thu May 02 2013 shlomif <shlomif> 2.1.400-3.mga3
+ Revision: 412007
- Fix mga#9948
- Remove trailing space

* Sun Jan 13 2013 umeabot <umeabot> 2.1.400-2.mga3
+ Revision: 375054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 shlomif <shlomif> 2.1.400-1.mga3
+ Revision: 339837
- update to 2.0014

* Tue Dec 04 2012 shlomif <shlomif> 2.1.300-1.mga3
+ Revision: 326508
- update to 2.0013

* Wed Nov 14 2012 jquelin <jquelin> 2.1.200-1.mga3
+ Revision: 317767
- update to 2.0012

* Wed Nov 07 2012 jquelin <jquelin> 2.1.0-1.mga3
+ Revision: 315967
- update to 2.0010

* Sat Oct 20 2012 shlomif <shlomif> 2.0.700-1.mga3
+ Revision: 308392
- New version 2.0007

* Fri Oct 19 2012 fwang <fwang> 2.0.600-2.mga3
+ Revision: 308262
- update scriplet requires

* Mon Oct 15 2012 jquelin <jquelin> 2.0.600-1.mga3
+ Revision: 306286
- update to 2.0006

* Wed Sep 19 2012 fwang <fwang> 2.0.400-2.mga3
+ Revision: 296078
- rebuild

* Fri Aug 31 2012 kharec <kharec> 2.0.400-1.mga3
+ Revision: 286621
- update to 2.0004

* Fri Aug 24 2012 pterjan <pterjan> 2.0.200-2.mga3
+ Revision: 283399
- Clean rebuild

* Thu Jul 12 2012 jquelin <jquelin> 2.0.200-1.mga3
+ Revision: 270337
- update to 2.0002

* Wed Jul 04 2012 jquelin <jquelin> 2.0.100-1.mga3
+ Revision: 267567
- update to 2.0001

* Tue Mar 06 2012 shlomif <shlomif> 1.950.0-1.mga2
+ Revision: 219918
- Upgraded to 1.95 (which has some XML::LibXML::Element overloading-related bug fixes.

* Thu Feb 23 2012 jquelin <jquelin> 1.920.0-1.mga2
+ Revision: 213311
- update to 1.92

* Mon Jan 09 2012 jquelin <jquelin> 1.900.0-1.mga2
+ Revision: 193821
- update to 1.90

* Thu Jan 05 2012 jquelin <jquelin> 1.890.0-1.mga2
+ Revision: 191340
- update to 1.89

* Mon Sep 26 2011 jquelin <jquelin> 1.880.0-1.mga2
+ Revision: 148259
- update to 1.88
- update to 1.87
- update to 1.86
- update to 1.84

* Wed Jul 13 2011 jquelin <jquelin> 1.790.0-1.mga2
+ Revision: 123644
- update to 1.79

* Fri Jul 08 2011 jquelin <jquelin> 1.780.0-1.mga2
+ Revision: 120530
- update to 1.78

* Mon Jun 27 2011 jquelin <jquelin> 1.750.0-1.mga2
+ Revision: 114558
- update to 1.75

* Tue Jun 21 2011 jquelin <jquelin> 1.730.0-1.mga2
+ Revision: 111465
- update to 1.73

* Fri Jun 17 2011 jquelin <jquelin> 1.720.0-1.mga2
+ Revision: 109167
- update to 1.72

* Sun Jun 12 2011 ahmad <ahmad> 1.700.0-9.mga2
+ Revision: 104559
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 1.700.0-8.mga1
+ Revision: 23274
- rebuild for new perl

* Mon Jan 10 2011 jquelin <jquelin> 1.700.0-7.mga1
+ Revision: 4864
- imported package perl-XML-LibXML

